package jp.co.intra_mart.journal.sample.policy;

import java.util.HashSet;
import java.util.Set;

import jp.co.intra_mart.foundation.journal.event.JournalEventGroupKey;
import jp.co.intra_mart.foundation.journal.policy.JournalPermission;
import jp.co.intra_mart.foundation.journal.policy.JournalPolicyProvider;

public class JournalSamplePolicy implements JournalPolicyProvider{

    @Override
    public String getApplication() {
        return "im-journal-sample";
    }

    @Override
    public Set<JournalPermission> getPermissions(final JournalEventGroupKey eventGroupKey) {
        final Set<JournalPermission> permissions = new HashSet<>();
            permissions.add(JournalPermission.READ_EVENT);
            permissions.add(JournalPermission.REGISTER_COMMENT);
            permissions.add(JournalPermission.UPDATE_COMMENT);
            permissions.add(JournalPermission.DELETE_COMMENT);

        return permissions;
    }
}
