let eventId;
let operationUserCd;
let operationUserName;
let operationDateLabel;
let operationUserProfileImg;
let eventGroupId;
let eventGroupKey;
let application;
let comment;

function init(event) {
    eventId = event.eventId;
    operationUserCd = event.operationUserCd;
    operationUserProfileImg = 'api/immaster/user/image/' + encodeURIComponent(operationUserCd) + '/original?cacheControl=private&noImage=true';
    operationUserName = event.operationUserName || event.operationUserCd;
    operationDateLabel = event.operationDateLabel;
    eventGroupId = event.eventGroupId;
    eventGroupKey = event.eventGroupKey;
    application = event.application;

    const commentAction = event.actions.filter(function (a) { return a.key === 'my-action-key' })[0];
    comment = JSON.parse(commentAction.data).myData;
}